.modal-wrap {
  background: rgba(0, 0, 0, 0.7);
  height: 100%;
  left: 0;
  opacity: 0;
  overflow: auto;
  position: fixed;
  top: 0;
  visibility: hidden;
  width: 100%;
  z-index: 10;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

.modal-wrap.visible {
  opacity: 1;
  visibility: visible;
}

.modal-wrap .modal-container {
  background: #fff;
  margin: 1em;
  max-width: 100%;
  width: 800px;
  z-index: 100;
}

.modal-wrap .modal-container .modal-header,
.modal-wrap .modal-container .modal-footer {
  background: #10243f;
  float: left;
  width: 100%;
}

.modal-wrap .modal-header-content {
  display: flex;
  align-items: center;
  float: left;
  padding: 15px 30px;
}

.modal-wrap .modal-header .modal-logo {
  height: 40px;
  margin-right: 15px;
}

.modal-wrap .modal-header .modal-title {
  color: #fff;
  font-size: 1.8em;
  margin: 0;
}

.modal-wrap .modal-header .close-modal {
  background: transparent;
  border: 0;
  color: #fff;
  cursor: pointer;
  float: right;
  font-size: 40px;
  opacity: 0.4;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

.modal-wrap .modal-header .close-modal:hover {
  opacity: 1;
}

@media (max-width: 600px) {
  .modal-wrap .modal-header-content-title h2 {
    font-size: 1.5rem;
  }
  .modal-wrap .modal-header-content-title h3 {
    font-size: 1rem;
  }
}

.modal-wrap .modal-content {
  float: left;
  margin: 0;
  padding: 15px 30px;
  width: 100%;
  font: normal 1.5rem "Roboto";
  max-height: 80vh;
  overflow-y: auto;
  @media (max-width: 600px) {
    font-size: 1rem;
  }
}

.modal-wrap .modal-content p:last-child {
  margin-bottom: 0;
}

.modal-wrap .modal-footer {
  text-align: center;
}

.modal-wrap .modal-footer p {
  color: #ccc;
  font-size: 12px;
  font-style: italic;
  margin: 10px;
}

.modal-wrap .modal-footer a {
  color: #fff;
}
